import { ArrowRight } from "lucide-react";

export default function Banner() {
  return (
    <div className="px-4 py-3 bg-zinc-800">
      <p className="flex justify-center text-sm">
        <a href="https://github.com/NGC2207/judge4c" className="group">
          <span className="me-1 text-base leading-none">✨</span>
          Introducing to Judge4c
          <ArrowRight
            className="-mt-0.5 ms-2 inline-flex opacity-60 transition-transform group-hover:translate-x-0.5"
            size={16}
            strokeWidth={2}
            aria-hidden="true"
          />
        </a>
      </p>
    </div>
  );
}
