import { editor } from "monaco-editor";

export interface CodeEditorState {
  language: string;
  theme: string;
  fontSize: number;
  editor: editor.IStandaloneCodeEditor | null;

  setLanguage: (language: string) => void;
  setTheme: (theme: string) => void;
  setFontSize: (fontSize: number) => void;
  setEditor: (editor: editor.IStandaloneCodeEditor) => void;
}
