import { create } from "zustand";
import { EditorState } from "@/types/editor";

export const useEditorStore = create<EditorState>((set) => ({
  language: null,
  code: null,

  setLanguage: (language: string) => set({ language }),
  setCode: (code: string) => set({ code }),
}));
